
    // Function to animate the counter
    function animateCounter(target, counterId) {
      let currentValue = 0;
      const counterDisplay = document.getElementById(counterId);
      const increment = target / 100;
      const speed = 50;

      const interval = setInterval(() => {
        currentValue += increment;
        if (currentValue >= target) {
          clearInterval(interval);
          currentValue = target;
        }

        counterDisplay.textContent = Math.floor(currentValue) + "+";
      }, speed);
    }

    // Initialize counters with different targets
    window.onload = () => {
      animateCounter(1000, 'counter1');  
      animateCounter(500, 'counter2');  
      animateCounter(300, 'counter3'); 
      animateCounter(20, 'counter4'); 
      animateCounter(50, 'counter5');
    };
